"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const tslib_es6 = require("../../../../../tslib@2.8.0/node_modules/tslib/tslib.es6.cjs");
const React = require("react");
const UI = require("./UI.cjs");
const sidecar = require("./sidecar.cjs");
function _interopNamespaceDefault(e) {
  const n = Object.create(null, { [Symbol.toStringTag]: { value: "Module" } });
  if (e) {
    for (const k in e) {
      if (k !== "default") {
        const d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: () => e[k]
        });
      }
    }
  }
  n.default = e;
  return Object.freeze(n);
}
const React__namespace = /* @__PURE__ */ _interopNamespaceDefault(React);
var ReactRemoveScroll = React__namespace.forwardRef(function(props, ref) {
  return React__namespace.createElement(UI.RemoveScroll, tslib_es6.__assign({}, props, { ref, sideCar: sidecar.default }));
});
ReactRemoveScroll.classNames = UI.RemoveScroll.classNames;
exports.default = ReactRemoveScroll;
